Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.naming.resources.jndi
Class Handler

    java.lang.Object
      |
      +--java.net.URLStreamHandler
            |
            +--org.apache.naming.resources.DirContextURLStreamHandler
                  |
                  +--org.apache.naming.resources.jndi.Handler

public class Handler
extends DirContextURLStreamHandler

Stream handler to a JNDI directory context.

Version:
  $Revision: 1.1 $
Author:
  Remy Maucherat

Field Summary

Fields inherited from class org.apache.naming.resources.DirContextURLStreamHandler
`context`

Constructor Summary
`Handler()`

Methods inherited from class org.apache.naming.resources.DirContextURLStreamHandler
`bind, bind, bindThread, get, get, get, isBound, openConnection, setProtocolHandler, unbind, unbind, unbindThread`

Methods inherited from class java.net.URLStreamHandler
`equals, getDefaultPort, getHostAddress, hashCode, hostsEqual, parseURL, sameFile, setURL, setURL, toExternalForm`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Handler

    public Handler()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2002 Apache Software Foundation. All Rights Reserved.